Bug 488722 - Properly align encrypted LV - LUKS device
Properly align encrypted LV - LUKS device
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: encrypted_LVM
  Show dependency treegraph
 
Reported: 2009-03-05 08:56 EST by Milan Broz
Modified: 2013-02-28 23:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 533894 (view as bug list)
Environment:
Last Closed: 2010-12-05 01:59:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2009-03-05 08:56:42 EST
Description of problem:

If user select "encrypt" LV during isntallation (LUKS over LVM), the LUKS metadata are now aligned by default to 4k boundary.

Please set alignment according to LVM extent size.

For cryptsetup luksFormat add --align-payload <#of sectors in extent>,
if using pycryptsetup, set align_payload in options.

For example, if using 4MB extent size in LVM, use
--align-payload 8192

This setting:

1) optimizes performance if running over some MD raid or similar device
(lvm now aligns offset of LVs automatically for MD devices)

2) allows future upgrade to LVM2 without cryptsetup when LVM2 will support encrypted LVs directly

(I think anaconda uses default 4MB extent, so this change should be just modification of default paramaters.)
Comment 1 Chris Lumens 2009-03-26 15:26:10 EDT
We are currently pretty tied up in a rewrite of the storage code, so we don't really have the extra time to work on this for F11.  However, if you come up with a patch against the anaconda-storage-branch branch of anaconda and submit it to anaconda-devel-list@redhat.com, we will gladly review it for possible inclusion.  Thanks.
Comment 2 Bug Zapper 2009-06-09 07:54:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Chris Lumens 2009-09-23 11:39:57 EDT
Closing for now due to comment #1.  If you come up wit ha patch, feel free to reopen this bug and send it along for consideration.  Thanks.
Comment 4 Milan Broz 2009-09-23 11:58:11 EDT
Closing this bug makes possible future conversion to encrypted lvm2 of already existing volumes impossible.

Also it has already serious performance impact (the whole device stack is misaligned now because cryptsetup aligns data to 4k offset)...

Well, I am not anaconda developer and have no time to study code myself... so leaving it wontfix.
Comment 5 Milan Broz 2009-11-09 11:51:41 EST
Reopening that for rawhide, it's quite important to have all storage stack devices aligned.
Comment 6 Bug Zapper 2009-11-16 04:50:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-11-04 07:28:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-05 01:59:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.